<?php

namespace App\Observers;

use App\Models\RequirementGroup;

class RequirementGroupObserver
{
    /**
     * Handle the RequirementGroup "created" event.
     */
    public function created(RequirementGroup $requirementGroup): void
    {
        //
    }

    /**
     * Handle the RequirementGroup "updated" event.
     */
    public function updated(RequirementGroup $requirementGroup): void
    {
        //
    }

    public function deleting(RequirementGroup $requirementGroup): void
    {
        //
        $requirementGroup->requirement()->update(['requirement_group_id'=>null]);
    }

    /**
     * Handle the RequirementGroup "deleted" event.
     */
    public function deleted(RequirementGroup $requirementGroup): void
    {
        //
    }

    /**
     * Handle the RequirementGroup "restored" event.
     */
    public function restored(RequirementGroup $requirementGroup): void
    {
        //
    }

    /**
     * Handle the RequirementGroup "force deleted" event.
     */
    public function forceDeleted(RequirementGroup $requirementGroup): void
    {
        //
    }
}
