<?php

namespace App\Libraries\BIM\Contacts;

use App\BO\BimFileBO;
use App\Models\BimFile;
use Illuminate\Http\UploadedFile;

interface BIMContact {

    public function uploadFile(?UploadedFile $file, BimFileBO $bimFileBO);

    public function downloadSourceFile();

    public function findConvertStatus(string $dataSetId): array;

    public function viewDataSetModel(array $dataSetIDS);

    public function getModelDetail(BimFile $file);

    public function addToConvertQueue(string $dataSetId): array;

    // public function getModelViewLink(string $dataSetId): string;
}
