<?php
/**
 * Created by IntelliJ IDEA.
 * User: kelyliang
 * Date: 2024/2/27
 * Time: 下午 04:33
 */

namespace App\ModelFilters;

use App\Models\Asset;
use EloquentFilter\ModelFilter;

class RequirementGroupFilter extends ModelFilter
{
    public $relations = [];

    public function apply($query)
    {
        return $query;
    }
    public function assetId($assetId){
        //查询该资产的子资产
        //1.获取资产的path全路径
        $var = Asset::find($assetId);
        $assetIds = Asset::where('path', 'like', $var->path . '%')->pluck('id');
        return $this->whereIn('asset_id', $assetIds);
    }

    public function name($name): ModelFilter
    {
        return $this->where('name', 'like', "%$name%");
    }


}
